FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Help_View Class Reference

The Fl_Help_View widget displays HTML text. More...

`#include <Fl_Help_View.H>`

Inheritance diagram for Fl_Help_View:

List of all members.

## Public Member Functions
void | clear_selection ()
| Removes the current text selection.
const char * | directory () const
| Returns the current directory for the text in the buffer.
const char * | filename () const
| Returns the current filename for the text in the buffer.
int | find (const char *s, int p=0)
| Finds the specified string `s` at starting position `p`.
| Fl_Help_View (int xx, int yy, int ww, int hh, const char *l=0)
| The constructor creates the Fl_Help_View widget at the specified position and size.
void | leftline (int)
| Scrolls the text to the indicated position, given a pixel column.
int | leftline () const
| Gets the left position in pixels.
void | link (Fl_Help_Func *fn)
| This method assigns a callback function to use when a link is followed or a file is loaded (via Fl_Help_View::load()) that requires a different file or path.
int | load (const char *f)
| Loads the specified file.
void | resize (int, int, int, int)
| Resizes the help widget.
int | scrollbar_size () const
| Gets the current size of the scrollbars' troughs, in pixels.
void | scrollbar_size (int newSize)
| Sets the pixel size of the scrollbars' troughs to `newSize`, in pixels.
void | select_all ()
| Selects all the text in the view.
int | size () const
| Gets the size of the help view.
void | size (int W, int H)
| Changes the size of the widget.
void | textcolor (Fl_Color c)
| Sets the default text color.
Fl_Color | textcolor () const
| Returns the current default text color.
void | textfont (Fl_Font f)
| Sets the default text font.
Fl_Font | textfont () const
| Returns the current default text font.
void | textsize (Fl_Fontsize s)
| Sets the default text size.
Fl_Fontsize | textsize () const
| Gets the default text size.
const char * | title ()
| Returns the current document title, or NULL if there is no title.
void | topline (const char *n)
| Scrolls the text to the indicated position, given a named destination.
void | topline (int)
| Scrolls the text to the indicated position, given a pixel line.
int | topline () const
| Returns the current top line in pixels.
void | value (const char *val)
| Sets the current help text buffer to the string provided and reformats the text.
const char * | value () const
| Returns the current buffer contents.
| ~Fl_Help_View ()
| Destroys the Fl_Help_View widget.

## Detailed Description

The Fl_Help_View widget displays HTML text.

Most HTML 2.0 elements are supported, as well as a primitive implementation of tables. GIF, JPEG, and PNG images are displayed inline.

Supported HTML tags:

- A: HREF/NAME
- B
- BODY: BGCOLOR/TEXT/LINK
- BR
- CENTER
- CODE
- DD
- DL
- DT
- EM
- FONT: COLOR/SIZE/FACE=(helvetica/arial/sans/times/serif/symbol/courier)
- H1/H2/H3/H4/H5/H6
- HEAD
- HR
- I
- IMG: SRC/WIDTH/HEIGHT/ALT
- KBD
- LI
- OL
- P
- PRE
- STRONG
- TABLE: TH/TD/TR/BORDER/BGCOLOR/COLSPAN/ALIGN=CENTER|RIGHT|LEFT
- TITLE
- TT
- U
- UL
- VAR

Supported color names:

- black,red,green,yellow,blue,magenta,fuchsia,cyan,aqua,white,gray,grey,lime,maroon,navy,olive,purple,silver,teal.

Supported urls:

- Internal: file:
- External: http: ftp: https: ipp: mailto: news:

Quoted char names:

- Aacute aacute Acirc acirc acute AElig aelig Agrave agrave amp Aring aring Atilde atilde Auml auml
- brvbar bull
- Ccedil ccedil cedil cent copy curren
- deg divide
- Eacute eacute Ecirc ecirc Egrave egrave ETH eth Euml euml euro
- frac12 frac14 frac34
- gt
- Iacute iacute Icirc icirc iexcl Igrave igrave iquest Iuml iuml
- laquo lt
- macr micro middot
- nbsp not Ntilde ntilde
- Oacute oacute Ocirc ocirc Ograve ograve ordf ordm Oslash oslash Otilde otilde Ouml ouml
- para premil plusmn pound
- quot
- raquo reg
- sect shy sup1 sup2 sup3 szlig
- THORN thorn times trade
- Uacute uacute Ucirc ucirc Ugrave ugrave uml Uuml uuml
- Yacute yacute
- yen Yuml yuml

## Constructor & Destructor Documentation

Fl_Help_View::~Fl_Help_View | ( |  | ) |

Destroys the Fl_Help_View widget.

The destructor destroys the widget and frees all memory that has been allocated for the current document.

## Member Function Documentation

void Fl_Help_View::clear_selection | ( |  | ) |

Removes the current text selection.

const char* Fl_Help_View::directory | ( |  | ) | const`[inline]`

Returns the current directory for the text in the buffer.

const char* Fl_Help_View::filename | ( |  | ) | const`[inline]`

Returns the current filename for the text in the buffer.

int Fl_Help_View::find | ( | const char * | s,
|  | int | p = `0`
| ) |  |

Finds the specified string `s` at starting position `p`.

Returns:
  the matching position or -1 if not found

void Fl_Help_View::leftline | ( | int | left | ) |

Scrolls the text to the indicated position, given a pixel column.

If the given pixel value `left` is out of range, then the text is scrolled to the left or right side of the document, resp.

Parameters:

  [in] | left | left column number in pixels (0 = left side)

int Fl_Help_View::leftline | ( |  | ) | const`[inline]`

Gets the left position in pixels.

void Fl_Help_View::link | ( | Fl_Help_Func * | fn | ) | `[inline]`

This method assigns a callback function to use when a link is followed or a file is loaded (via Fl_Help_View::load()) that requires a different file or path.

The callback function receives a pointer to the Fl_Help_View widget and the URI or full pathname for the file in question. It must return a pathname that can be opened as a local file or NULL:

        const char *fn(Fl_Widget *w, const char *uri);

The link function can be used to retrieve remote or virtual documents, returning a temporary file that contains the actual data. If the link function returns NULL, the value of the Fl_Help_View widget will remain unchanged.

If the link callback cannot handle the URI scheme, it should return the uri value unchanged or set the value() of the widget before returning NULL.

int Fl_Help_View::load | ( | const char * | f | ) |

Loads the specified file.

This method loads the specified file or URL.

void Fl_Help_View::resize | ( | int | xx,
|  | int | yy,
|  | int | ww,
|  | int | hh
| ) |  | `[virtual]`

Resizes the help widget.

Reimplemented from Fl_Group.

int Fl_Help_View::scrollbar_size | ( |  | ) | const`[inline]`

Gets the current size of the scrollbars' troughs, in pixels.

If this value is zero (default), this widget will use the Fl::scrollbar_size() value as the scrollbar's width.

Returns:
  Scrollbar size in pixels, or 0 if the global Fl::scrollbar_size() is being used.

See also:
  Fl::scrollbar_size(int)

void Fl_Help_View::scrollbar_size | ( | int | newSize | ) | `[inline]`

Sets the pixel size of the scrollbars' troughs to `newSize`, in pixels.

Normally you should not need this method, and should use Fl::scrollbar_size(int) instead to manage the size of ALL your widgets' scrollbars. This ensures your application has a consistent UI, is the default behavior, and is normally what you want.

Only use THIS method if you really need to override the global scrollbar size. The need for this should be rare.

Setting `newSize` to the special value of 0 causes the widget to track the global Fl::scrollbar_size(), which is the default.

Parameters:

  [in] | newSize | Sets the scrollbar size in pixels. If 0 (default), scrollbar size tracks the global Fl::scrollbar_size()

See also:
  Fl::scrollbar_size()

void Fl_Help_View::select_all | ( |  | ) |

Selects all the text in the view.

int Fl_Help_View::size | ( |  | ) | const`[inline]`

Gets the size of the help view.

void Fl_Help_View::size | ( | int | W,
|  | int | H
| ) |  | `[inline]`

Changes the size of the widget.

size(W, H) is a shortcut for resize(x(), y(), W, H).

Parameters:

  [in] | W,H | new size

See also:
  position(int,int), resize(int,int,int,int)

Reimplemented from Fl_Widget.

void Fl_Help_View::textcolor | ( | Fl_Color | c | ) | `[inline]`

Sets the default text color.

Fl_Color Fl_Help_View::textcolor | ( |  | ) | const`[inline]`

Returns the current default text color.

void Fl_Help_View::textfont | ( | Fl_Font | f | ) | `[inline]`

Sets the default text font.

Fl_Font Fl_Help_View::textfont | ( |  | ) | const`[inline]`

Returns the current default text font.

void Fl_Help_View::textsize | ( | Fl_Fontsize | s | ) | `[inline]`

Sets the default text size.

Fl_Fontsize Fl_Help_View::textsize | ( |  | ) | const`[inline]`

Gets the default text size.

const char* Fl_Help_View::title | ( |  | ) | `[inline]`

Returns the current document title, or NULL if there is no title.

void Fl_Help_View::topline | ( | const char * | n | ) |

Scrolls the text to the indicated position, given a named destination.

Parameters:

  [in] | n | target name

void Fl_Help_View::topline | ( | int | top | ) |

Scrolls the text to the indicated position, given a pixel line.

If the given pixel value `top` is out of range, then the text is scrolled to the top or bottom of the document, resp.

Parameters:

  [in] | top | top line number in pixels (0 = start of document)

int Fl_Help_View::topline | ( |  | ) | const`[inline]`

Returns the current top line in pixels.

void Fl_Help_View::value | ( | const char * | val | ) |

Sets the current help text buffer to the string provided and reformats the text.

The provided character string `val` is copied internally and will be freed when value() is called again, or when the widget is destroyed.

If `val` is NULL, then the widget is cleared.

const char* Fl_Help_View::value | ( |  | ) | const`[inline]`

Returns the current buffer contents.

The documentation for this class was generated from the following files:

- Fl_Help_View.H
- Fl_Help_View.cxx